# Get Activity List

## Get Activity List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/crm?action=getActivityList`

Get a list of activities.

#### Path Parameters

| Name    | Type    | Description                                              |
| ------- | ------- | -------------------------------------------------------- |
| venueId | integer | The unique id of the venue to which the activity belongs |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 1,
        "start": 0,
        "perPage": 100,
        "count": 1
    },
    "results": [
        {
            "id": 29,
            "venueId": 1,
            "leadId": 400,
            "subType": 1,
            "name": "ashik testing",
            "description": "<p>this is description</p> ",
            "purposeName": null,
            "purposeType": null,
            "location": "Gold Coast",
            "contactId": null,
            "companyId": null,
            "companyContactId": null,
            "assignedUserId": 1,
            "assignedUserFullName": "first last",
            "assignedUserEmail": "first.last@domain.com",
            "startDatetime": "2019-04-02 22:00:00 UTC",
            "endDatetime": "2019-04-02 23:00:00 UTC",
            "createdDate": "2019-04-11 07:34:16 UTC",
            "modifiedDate": "2019-04-11 07:34:16 UTC"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the activities the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

## Example Request

`Get a specific venue’s activity List`

```javascript
{
  "venueId": "1",
}
```

## subType:

One of the following values:

* 1 = Meeting
* 2 = Call
* 3 = Email


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/crm/get-activity-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
